/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef struct _entity_t entity_t;

typedef struct {
  uint8_t nothing;
} player_t;

/**
 * Initializes a player entity.
 * 
 * @param ent Pointer to the player entity to initialize.
 */
void playerInit(entity_t *ent);

/**
 * Updates a player entity.
 * 
 * @param ent Entity to update.
 */
void playerUpdate(entity_t *ent);