/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

/**
 * Returns the absolute (ignoring sign) value of an 8-bit integer.
 * 
 * @param val The 8-bit integer value to get the absolute value of.
 * @return The absolute value of the input integer.
 */
int8_t mathAbsI8(const int8_t val);