/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

extern const uint16_t RENDER_WIDTH;
extern const uint16_t RENDER_HEIGHT;

/**
 * Init the render system.
 */
void renderInit();

/**
 * Update the render system.
 */
bool_t renderUpdate();

/**
 * Dispose of the render system.
 */
void renderDispose();